package com.doverfuelingsolutions.issp.utils.crash

import android.content.Context
import androidx.core.content.ContextCompat

object DFSCrashUtil {

    fun init(context: Context) {
        ContextCompat.getMainExecutor(context).execute {
            DFSUncaughtExceptionHandler(Thread.getDefaultUncaughtExceptionHandler()).also {
                Thread.setDefaultUncaughtExceptionHandler(it)
            }
        }
    }
}